Docs / Using the API

Repositories

List the repositories belonging to a team.

  1. Endpoint
  2. Query parameters
  3. Example request
  4. Example response

Returns the repositories belonging to a team.

Endpoint

GET /api/{team}/repositories

Required ability: repositories:read

Query parameters

Parameter Type Default Maximum Description
per_page integer 20 50 Number of objects per page.
page integer 1 N/A The page to retrieve.

Example request

curl "https://rocketeersapp.com/api/your-team/repositories?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

Example response

{
  "data": [
    {
      "id": 1,
      "name": "apollo",
      "slug": "apollo",
      "path": "your-team/apollo",
      "http_url": "https://github.com/your-team/apollo",
      "language": "PHP",
      "is_private": true,
      "created_at": "2026-01-15T09:30:00+00:00"
    },
    {
      "id": 2,
      "name": "apollo-frontend",
      "slug": "apollo-frontend",
      "path": "your-team/apollo-frontend",
      "http_url": "https://github.com/your-team/apollo-frontend",
      "language": "TypeScript",
      "is_private": true,
      "created_at": "2026-01-15T09:35:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/repositories?page=1",
    "last": "https://rocketeersapp.com/api/your-team/repositories?page=3",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/repositories?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 3,
    "per_page": 20,
    "to": 20,
    "total": 54,
    "path": "https://rocketeersapp.com/api/your-team/repositories"
  },
  "results": 20,
  "served_in": "13.40ms"
}